Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1488862 - Tool hammer admin logger generates syntax error in qpidd.conf
Summary: Tool hammer admin logger generates syntax error in qpidd.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hammer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 11:14 UTC by Lukas Zapletal
Modified: 2019-09-26 14:37 UTC (History)
8 users (show)

Fixed In Version: rubygem-hammer_cli_foreman_admin-0.0.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:04:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20861 0 None None None 2017-09-06 13:00:54 UTC

Description Lukas Zapletal 2017-09-06 11:14:16 UTC
Description of problem:

Run

hammer admin logging --all --level-debug

And restart all services, qpidd fails to start due to syntax error. Perhaps a change in configuration syntax.

QA NOTES: Please do automation for this bug, this is critical debugging command that must work in GA.

Comment 3 Lukas Zapletal 2017-09-06 12:43:44 UTC
This is invalid qpidd syntax:

key = value

Spaces must not be present:

key=value

Comment 6 Eric Helms 2017-09-18 19:50:12 UTC
Is there an upstream release anticipated with this fix?

Comment 7 Lukas Zapletal 2017-09-19 10:05:56 UTC
Sure, https://github.com/theforeman/foreman-packaging/pull/1813

Comment 9 Kedar Bidarkar 2017-10-01 19:14:49 UTC
[root@qe-sat6 ~]# cat /etc/qpid/qpidd.conf | grep -i log-enable
log-enable=error+

[root@qe-sat6 ~]# hammer admin logging --all --level-debug

[root@qe-sat6 ~]# cat /etc/qpid/qpidd.conf | grep -i log-enable
log-enable=info+

qpidd service restart was successful.

VERIFIED with sat6.3.0-snap18.0

Comment 10 Bryan Kearney 2018-02-21 17:04:36 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.